---
services:
  server:
    image: docker.io/gitea/gitea
    container_name: gitea
    environment:
      - USER_UID=1000
      - USER_GID=1000
      - GITEA__database__DB_TYPE=mysql
      - GITEA__database__HOST=localhost:3306
      - GITEA__database__NAME=animagwebmaster_gitea
      - GITEA__database__USER=animagwebmaster_gitea
      - GITEA__database__PASSWD=UjEi6!ifFG
      - GITEA__server__DISABLE_SSH=true
      - GITEA__server__START_SSH_SERVER=false
      - GITEA__server__HTTP_ADDR=127.0.0.1
      - GITEA__server__ROOT_URL=https://git.animationmagazine.net
      - GITEA__server__HTTP_PORT=3001
    restart: always
    network_mode: host
    volumes:
      - ./data:/data
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
